play.data.binding

## Class RootParamNode

- java.lang.Object
- - play.data.binding.ParamNode
  - - play.data.binding.RootParamNode

-     public class RootParamNode
      extends ParamNode

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class play.data.binding.ParamNode

      `ParamNode.RemovedNode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String[]>` | `originalParams`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootParamNode(java.util.Map<java.lang.String,java.lang.String[]> originalParams)`

  - ### Method Summary

    - ### Methods inherited from class play.data.binding.ParamNode

      `addChild, convert, getAllChildren, getAllChildrenKeys, getChild, getChild, getFirstValue, getName, getOriginalKey, getValues, removeChild, restoreRemovedChildren, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### originalParams

          public final java.util.Map<java.lang.String,java.lang.String[]> originalParams

  - ### Constructor Detail

    - #### RootParamNode

          public RootParamNode(java.util.Map<java.lang.String,java.lang.String[]> originalParams)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly